<?php
// wbb imports
require_once(WCF_DIR.'lib/system/language/LanguageEditor.class.php');

	/*
	* This script generates all needed permissions for existing Portalboxes.
	*
	* @package	com.woltlab.community.portal
	* @author	Martin Schwendowius (Sani9000), Alexander Ebert (dtdesign)
	* @copyright	2010 WoltLab Community
	* @license	GNU Lesser General Public License <http://www.gnu.org/licenses/lgpl.html>
	*/

	// get all custom boxes
	$sql = "SELECT	customBoxID as customBoxID, title as title
		FROM	wbb".WBB_N."_portalboxes_custom";
	$result = WCF::getDB()->sendQuery($sql);
	$boxData = array();
	while ($row = WCF::getDB()->fetchArray($result)) {
		$boxData[] = $row;
	}
	
	//skip if no boxes available
	if(empty($boxData)) return;
	
	
	//generate permissions and language files
	foreach ($boxData as $box) {
		//assign variables
		$boxID = intval($box['customBoxID']);
		$boxTitle = WCF::getLanguage()->get($box['title']);
		
		//build permission variables
		$categoryName = 'user.portal.customboxes';
		$permission = $categoryName.'.customBox'.$boxID.'.canView';
		
		//write group option
		$tmp = WCF::getDB()->getFirstRow("SELECT MAX(showOrder) AS showorder FROM wcf".WCF_N."_group_option WHERE categoryName='".escapeString($categoryName)."'");
		$showorder = $tmp['showorder']+1;
		$sql="INSERT INTO wcf".WCF_N."_group_option (packageID, optionName, categoryName, optionType, defaultValue, validationPattern, enableOptions, showOrder)
		VALUES(".PORTAL_PACKAGE_ID.", '".$permission."', '".$categoryName."', 'boolean', '1', '', '', ".$showorder.")";
		WCF::getDB()->sendQuery($sql);
		
		//get all available groups
		$groupIDs = array();
		require_once(WCF_DIR.'lib/data/user/group/Group.class.php');
		$groupIDArray = Group::getAllGroups();
		foreach ($groupIDArray as $groupID => $uselessCrap) {
			$groupIDs[] = $groupID;
		}
		
		//write group option values
		foreach ($groupIDs as $groupID) {
			$tmp = WCF::getDB()->getFirstRow("SELECT optionID AS optionID FROM wcf".WCF_N."_group_option WHERE optionName='".escapeString($permission)."'");
			$optionID = $tmp['optionID'];
			$sql="INSERT INTO wcf".WCF_N."_group_option_value (groupID, optionID, optionValue) VALUES (".$groupID.", ".$optionID.", '1')";
			WCF::getDB()->sendQuery($sql);
		}
	
	
		
		$languageData = array();
		
		//get available languages
		$languageCodes = Language::getLanguageCodes();
		
		// get default values
		$sql = "SELECT	*
		FROM	wcf".WCF_N."_language_item
		WHERE	languageItem IN(
		'wcf.acp.group.portal.boxes.customBox.canView',
		'wcf.acp.group.portal.boxes.customBox.canView.description'
		)
		AND	packageID = ".PORTAL_PACKAGE_ID;
		
		$result = WCF::getDB()->sendQuery($sql);
		
		// read default labels
		while ($row = WCF::getDB()->fetchArray($result)) {
			// skip unknown languages
			if (!array_key_exists($row['languageID'], $languageCodes)) continue;

			// create language item name and value
			$name = str_replace('wcf.acp.group.portal.boxes.customBox', 'option.user.portal.customboxes.customBox'.$boxID, $row['languageItem']);
			$value = str_replace('{$boxname}', $boxTitle, $row['languageItemValue']);

			// build entire language item
			require_once(WBB_DIR.'lib/data/boxes/PortalHelpers.class.php');
			$languageData[][$languageCodes[$row['languageID']]]['wcf.acp.group'][$name] = PortalHelpers::convertEncoding($value);
		}

		// create xml string
		foreach ($languageData as $language) {
			//create XML string
			require_once(WCF_DIR.'lib/util/pip/LanguagesXMLPIP.class.php');
			$xml = LanguagesXMLPIP::create($language, true);

			// parse xml
			$xmlObj = new XML();
			$xmlObj->loadString($xml);

			// import language xml
			LanguageEditor::importFromXML($xmlObj, PORTAL_PACKAGE_ID);
		}
		
		// set box permissions and boxName
		$sql = "UPDATE wbb".WBB_N."_portalboxes
			SET	permissions = 'user.portal.customboxes.customBox".$boxID.".canView'
			WHERE	boxName = 'customBox".$boxID."'";
		WCF::getDB()->sendQuery($sql);
		
		// clear WCF cache
		WCF::getCache()->clear(WCF_DIR.'cache', '*.php', true);
		
		// clear WCF cache
		WCF::getCache()->clear(WBB_DIR.'cache', '*.php', true);

		// update sessions
                require_once(WCF_DIR.'lib/system/session/Session.class.php');
                Session::resetSessions();
	}
?>