DROP TABLE IF EXISTS wbb1_1_portalboxes;
CREATE TABLE wbb1_1_portalboxes (
	boxID int(10) NOT NULL auto_increment,
	packageID int(10) unsigned NOT NULL default '0',
	boxName varchar(250) NOT NULL default '',
	boxType tinyint(1) unsigned NOT NULL default '2',
	useCache tinyint(1) unsigned NOT NULL default '0',
	cacheType varchar(250) NOT NULL default '',
	className varchar(250) NOT NULL default '',
	cacheBuilderClass varchar(250) NOT NULL default '',
	sortOrder int(3) unsigned NOT NULL default '0',
	boxActivation tinyint(1) unsigned NOT NULL default '1',
	forceActive tinyint(1) unsigned NOT NULL default '0',
	minLifeTime int(10) unsigned NOT NULL default '0',
	maxLifeTime int(10) unsigned NOT NULL default '0',
	showInForum tinyint(1) unsigned NOT NULL default '0',
	permissions text,
	options text,
	PRIMARY KEY  (boxID),
	UNIQUE KEY boxName (boxName),
	KEY packageID (packageID),
	KEY boxType (boxType)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wbb1_1_portalboxes_custom;
CREATE TABLE wbb1_1_portalboxes_custom (
	customBoxID int(10) unsigned NOT NULL auto_increment,
	boxID int(10) unsigned NOT NULL default '0',
	title varchar(255) NOT NULL default '',
	content mediumtext NOT NULL,
	parserType enum('plain','html','template','php') NOT NULL default 'plain',
	PRIMARY KEY  (customBoxID),
	KEY boxID (boxID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wbb1_1_portalboxes_sort_to_user;
CREATE TABLE wbb1_1_portalboxes_sort_to_user (
	userID int(10) unsigned NOT NULL,
	leftboxes text NOT NULL,
	centerboxes text NOT NULL,
	rightboxes text NOT NULL,
	UNIQUE KEY userID (userID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE wbb1_1_user ADD customPortalBoxSort tinyint(1) unsigned NOT NULL DEFAULT '0';