<?php
// wbb imports
require_once(WBB_DIR.'lib/acp/action/PortalBoxAction.class.php');

/**
 * Sort portal boxes in ACP view
 * 
 * @package	com.woltlab.community.portal
 * @author		Oliver Kliebisch
 * @copyright	2009 WoltLab Community
 * @license	GNU Lesser General Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	acp.action
 * @category	Portal
 */
class AjaxBoxSortAction extends PortalBoxAction {
	public $positions = array();
	public $boxType = null;
	public $boxTypeID = 0;
	
	/**	 
	 * @see	Action::readParameters()
	 */
	public function readParameters() {	
		parent::readParameters();
		
		if (isset($_POST['boxType'])) $this->boxType = StringUtil::trim($_POST['boxType']);
		if (isset($_POST['data'])) {
			parse_str($_POST['data'], $positions);		
			if (count($positions)) {		
				$this->positions = ArrayUtil::toIntegerArray(reset($positions));
			}			
		}		
		// map box type to system ID
		switch ($this->boxType) {
			case 'centerboxes' : $this->boxTypeID = 1;
				break;
			case 'leftboxes' : $this->boxTypeID = 2;
				break;
			case 'rightboxes' : $this->boxTypeID = 3;
				break;
			default : $this->boxTypeID = 0;
		}
	}
	
	/**	 
	 * @see	Action::execute()
	 */
	public function execute() {
		parent::execute();
				
		if ($this->boxTypeID == 0 || !count($this->positions)) exit;

		foreach ($this->positions as $key => $boxID) {
			PortalBoxEditor::moveBox($boxID, $key + 1, $this->boxTypeID);					
		}		
		 	
		PortalBox::resetCache();
		$this->executed();
		exit;
	}
}
?>