<?php
// wbb imports
require_once(WBB_DIR.'lib/acp/action/PortalBoxAction.class.php');

/**
 * Sort portal boxes
 * 
 * @package		com.woltlab.community.portal
 * @author		WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	acp.action
 * @category	Portal
 */
class BoxSortAction extends PortalBoxAction
{
	public $positions	= array();
	public $boxTypes	= array();
	
	/**
	 * Assign position and boxType
	 * 	 
	 * @return	void
	 * @see		Action::readParameters()
	 */
	public function readParameters() {
		parent::readParameters();
		
		// assign positions
		if (isset($_POST['positions']) && is_array($_POST['positions'])) {
			$this->positions = $_POST['positions'];
		}
		
		// assign types
		if (isset($_POST['boxTypes']) && is_array($_POST['boxTypes'])) {
			$this->boxTypes = $_POST['boxTypes'];
		}				
	}
	
	/**
	 * Assign new positions and box type if applicable
	 * 	 
	 * @return	void
	 * @see		Action::execute()
	 */
	public function execute()
	{
		parent::execute();
				
		foreach ($this->positions as $boxID => $sortOrder) {
			PortalBoxEditor::moveBox($boxID, $sortOrder, isset($this->boxTypes[$boxID]) ? $this->boxTypes[$boxID] : null);
		}
		PortalBox::resetCache();		 		
		$this->executed();
		
		// forward to list page
		HeaderUtil::redirect('index.php?page=PortalManagementList&packageID='.PACKAGE_ID.SID_ARG_2ND_NOT_ENCODED, false);
	}
}
?>