<?php
// wbb imports
require_once(WBB_DIR.'lib/acp/action/PortalBoxAction.class.php');
require_once(WBB_DIR.'lib/data/boxes/CustomBoxEditor.class.php');

/**
 * Deletes a custom box
 *
 * @package		com.woltlab.community.portal
 * @author		WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	acp.action
 * @category	Portal
 */
class CustomBoxDeleteAction extends PortalBoxAction {
	
	/**
	 * @see Action::execute()
	 */
	public function execute() {
		parent::execute();

		// check permissions
		WCF::getUser()->checkPermission('admin.portal.customBox.canDelete');
		
		// check master password
		WCFACP::checkMasterPassword();
		
		$customBoxEditor = new CustomBoxEditor($this->boxID);
		$customBoxEditor->initialize();
		$customBoxEditor->delete();
		$this->executed();
		
		// forward to list page
		HeaderUtil::redirect('index.php?page=CustomBoxList&deletedBoxID='.$this->boxID.'&packageID='.PACKAGE_ID.SID_ARG_2ND_NOT_ENCODED);
		exit;
	}
}
?>