<?php
// wcf imports
require_once(WCF_DIR.'lib/action/AbstractAction.class.php');

// wbb imports
require_once(WBB_DIR.'lib/data/boxes/PortalBoxEditor.class.php');

/**
 * Provides basic box action functionality
 * 
 * @package		com.woltlab.community.portal
 * @author		WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	acp.action
 * @category	Portal
 */
abstract class PortalBoxAction extends AbstractAction {
	/**
	 * The ID of the box
	 * 
	 * @var integer
	 */
	public $boxID = 0;
	
	/**
	 * The portal box editor object
	 * 
	 * @var PortalBoxEditor
	 */
	public $box = null;

	/**
	 * Assign box id
	 * 	 
	 * @return	void
	 * @see		Action::readParameters()
	 */
	public function readParameters() {	
		parent::readParameters();
		
		if (isset($_GET['boxID'])) {	
			$this->boxID = intval($_GET['boxID']);			
			$this->box = new PortalBoxEditor($this->boxID);			
		}
	}
	
	/**	 
	 * @see		Action::execute()
	 */
	public function execute() {
		parent::execute();
		
		WCF::getUser()->checkPermission('admin.portal.canEdit');
	}
}
?>