<?php
// wcf imports
require_once(WCF_DIR.'lib/acp/form/ACPForm.class.php');

// wbb imports
require_once(WBB_DIR.'lib/data/boxes/CustomBoxEditor.class.php');

/**
 * A form to create new custom portal boxes
 *
 * @package		com.woltlab.community.portal
 * @author		WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	acp.form
 * @category	Portal
 */
class CustomBoxAddForm extends ACPForm {

	public $neededPermissions ='admin.portal.customBox.canAdd';
	public $templateName = 'customBoxAdd';
	public $action = 'add';
	public $activeMenuItem = 'wbb.acp.menu.link.content.portal.customBoxes.add';
	
	public $title = '';
	public $content = '';
	public $boxType = 2;
	public $parserType = 'plain';
	public $forceActive = 0;
	
	/**	 
	 * @see Form::readFormParameters()
	 */
	public function readFormParameters() {
		parent::readFormParameters();
		
		if (isset($_POST['title'])) $this->title = StringUtil::trim($_POST['title']);
		if (isset($_POST['content'])) $this->content = StringUtil::trim($_POST['content']);
		if (isset($_POST['boxType'])) $this->boxType = intval($_POST['boxType']);
		if (isset($_POST['parserType'])) $this->parserType = StringUtil::trim($_POST['parserType']);
		if (isset($_POST['forceActive'])) $this->forceActive = intval($_POST['forceActive']);
	} 
	
	/**
	 * @see Page::assignVariables()	 
	 */
	public function assignVariables() {
		parent::assignvariables();
		
		WCF::getTPL()->assign(array(
			'title' => $this->title,
			'content' => $this->content,
			'boxType' => $this->boxType,
			'parserType' => $this->parserType,
			'forceActive' => $this->forceActive
		));
	}
	
	/**
	 * @see Form::save()	 
	 */
	public function save() {
		parent::save();
		
		CustomBoxEditor::create($this->title, $this->content, $this->boxType, $this->parserType, $this->forceActive);
		$this->saved();
		
		$this->title = $this->content = '';
		$this->boxType = 2;
		$this->parserType = 'plain';
		$this->forceActive = 0;
		
		WCF::getTPL()->assign('success', true);
	}
	
	/**
	 * @see Page::show()
	 */
	public function show() {
		// check master password
		WCFACP::checkMasterPassword();
		
		parent::show();
	}
}
?>