<?php
// wbb imports
require_once(WBB_DIR.'lib/acp/form/CustomBoxAddForm.class.php');

/**
 * A form to edit custom portal boxes
 *
 * @package		com.woltlab.community.portal
 * @author		WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	acp.form
 * @category	Portal
 */
class CustomBoxEditForm extends CustomBoxAddForm {
	public $neededPermissions ='admin.portal.customBox.canEdit';
	public $action = 'edit';
	public $activeMenuItem = 'wbb.acp.menu.link.content.portal';
	
	public $customBox;
	public $boxID = 0;
	public $languageID = 0;
	
	/**
	 * @see Page::readParameters()	 
	 */
	public function readParameters() {
		parent::readParameters();
		
		// read language id
		if (isset($_REQUEST['languageID'])) $this->languageID = intval($_REQUEST['languageID']);
		else $this->languageID = WCF::getLanguage()->getLanguageID();
		
		if (isset($_REQUEST['boxID'])) $this->boxID = intval($_REQUEST['boxID']);		
		$this->customBox = new CustomBoxEditor($this->boxID);
		$this->customBox->initialize();		
	}		
	
	/**
	 * @see Page::readData()	 
	 */
	public function readData() {
		parent::readData();
		
		// get all available languages
		$this->languages = Language::getLanguageCodes();
		
		if (!count($_POST)) {
			$this->title = $this->customBox->cacheData['title'];
			$this->content = $this->customBox->cacheData['content'];
			$this->parserType = $this->customBox->cacheData['parserType'];
			$this->boxType = $this->customBox->boxType;
			$this->forceActive = $this->customBox->forceActive;
		}
	}
	
	/**	 
	 * @see Page::assignVariables()
	 */
	public function assignVariables() {
		parent::assignVariables();
		
		WCF::getTPL()->assign(array(
			'boxID' => $this->boxID,
			'languageID' => $this->languageID,
			'languages' => $this->languages
		));
	}
	
	/**	 
	 * @see Form::save()
	 */
	public function save() {
		ACPForm::save();
		
		$this->customBox->update($this->title, $this->content, $this->boxType, $this->parserType, $this->forceActive, $this->languageID);
		$this->saved();
		
		WCF::getTPL()->assign('success', true);
	}		
}
?>