<?php
// wcf imports
require_once(WCF_DIR.'lib/page/AbstractPage.class.php');
require_once(WCF_DIR.'lib/system/event/EventHandler.class.php');

// portal imports
require_once(WBB_DIR.'lib/system/portalbox/PortalBoxFactory.class.php');

/**
 * Provides configurations pages
 * 
 * @package		com.woltlab.community.portal
 * @author		WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	acp.page
 * @category	Portal
 */
class PortalManagementListPage extends AbstractPage {				
	public $templateName		= 'boxList';
	public $neededPermissions	= 'admin.portal.canEdit';
		
	/**
	 * Assign all available boxes to template
	 * 	 
	 * @return	void
	 */
	public function assignVariables() {
		parent::assignVariables();
		
		WCF::getTPL()->assign(array(
			'boxData' => new PortalBoxFactory(false, false, false, false, false, true)
		));
	}
	
	/**
	 * Sets active menu entry
	 * 	 
	 * @return	void
	 */
	public function show() {
		WCFACP::getMenu()->setActiveMenuItem('wbb.acp.menu.link.content.portal.management');
		
		parent::show();
	}		
}
?>