<?php
//wcf imports
require_once(WCF_DIR.'lib/action/AbstractSecureAction.class.php');

/**
 * Resets the portal settings of the user
 * 
 * @author 	Martin Schwendowius (Sani9000)
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser General Public License <http://www.gnu.org/licenses/lgpl.html>
 * @package	com.woltlab.community.portal
 */
class ResetPortalUserSettingsAction extends AbstractSecureAction {
	
	/**
	 * @see Action::execute()
	 */
	public function execute() {
		parent::execute();
		
		//check permission
		if (PORTAL_OFFLINE || !WCF::getUser()->customPortalBoxSort) throw new IllegalLinkException();
		if(!WCF::getUser()->userID) throw new PermissionDeniedException();
		
		//update user entries
		$sql = "UPDATE	wbb".WBB_N."_user
			SET customPortalBoxSort	 = 0
			WHERE	userID = ".WCF::getUser()->userID;
		WCF::getDB()->registerShutdownUpdate($sql);
		
		//delete data from table
		$sql = "DELETE FROM wbb".WBB_N."_portalboxes_sort_to_user
			WHERE	userID = ".WCF::getUser()->userID;
		WCF::getDB()->registerShutdownUpdate($sql);

		
		// update session
                require_once(WCF_DIR.'lib/system/session/Session.class.php');
                Session::resetSessions();
                
		$this->executed();
		
		//redirect to portal page
		HeaderUtil::redirect('index.php?page=Portal'.SID_ARG_2ND);
		exit;
	}
}
?>