<?php
// wbb imports
require_once(WBB_DIR.'lib/data/boxes/PortalBox.class.php');
require_once(WBB_DIR.'lib/data/boxes/StandardPortalBox.class.php');

/**
 * This is a box with custom content which can be defined in the ACP.
 * This box may have mutiple instances
 *
 * @package	com.woltlab.community.portal
 * @author	Alexander Ebert, Oliver Kliebisch, Martin Schwendowius
 * @copyright	2009-2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	data.boxes
 * @category	Portal
 */
class CustomBox extends PortalBox implements StandardPortalBox {
	public $title;
	public $formattedContent = '';
	protected $portalMode = '';
	
	/**	 
	 * @see StandardPortalBox::readData()
	 */
	public function readData() {

		if (isset($_REQUEST['page']) && $_REQUEST['page'] == 'Portal') $this->portalMode = 'display';
		elseif (isset($_REQUEST['form']) && $_REQUEST['form'] == 'PortalEdit') $this->portalMode = 'edit';
		else $this->portalMode = 'board';

		$this->title = $this->cacheData['title'];
		switch ($this->cacheData['parserType']) {
			case 'plain': 
				$this->formattedContent = nl2br(htmlspecialchars($this->cacheData['content']));
				break;
			case 'html':
				$this->formattedContent = $this->cacheData['content'];
				break;
			case 'template':
				WCF::getTPL()->assign(array('portalMode' => $this->portalMode));
				$this->formattedContent = WCF::getTPL()->fetch('customBox'.$this->boxID);
				break;
			case 'php':
				ob_start();
				if (file_exists(WBB_DIR.'lib/data/boxes/scripts/customBox'.$this->boxID.'.php')) {
					include(WBB_DIR.'lib/data/boxes/scripts/customBox'.$this->boxID.'.php');
				}
				$this->formattedContent = ob_get_clean();				
				break;
		}
		
		// mark custom box as empty if content evalutes to an empty string
		if (empty($this->formattedContent)) $this->empty = true;
	}
	
	/**	 
	 * @see StandardPortalBox::getTemplateName()
	 */
	public function getTemplateName() {
		return 'customBox';
	}
}
?>
