<?php
/**
 * A basic interface which every portal box should implement
 * 
 * @package		com.woltlab.community.portal
 * @author		Oliver Kliebisch
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	data.boxes
 * @category	Portal
 */
interface StandardPortalBox {
	/**
	 * This method reads all dynamic data which cannot be cached.
	 * This has to be implemented by all boxes which do not base on
	 * caching only
	 * 
	 * @return void
	 */
	public function readData();
	
	/**
	 * Returns the name of the template for this box
	 * 
	 * @return string
	 */
	public function getTemplateName();
}
?>