<?php
// wcf imports
require_once(WCF_DIR.'lib/data/user/usersOnline/UsersOnline.class.php');
require_once(WCF_DIR.'lib/data/user/User.class.php');

/**
 * Returns a compact list of online users
 * 
 * @package	com.woltlab.community.portal.helper
 * @author	Alexander Ebert
 * @copyright	2009-2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	data.user
 * @category	Portal
 */
class PortalUsersOnlineList extends UsersOnline {
	public $usersOnline = array();
	
	/**
	 * Enables active user to show up in online list
	 */
	public function __construct() {
		$this->enableOwnView = true;
	}
	
	/**
	 * @see	UsersOnline::handleRow()
	 */
	protected function handleRow($row, User $user) {
		// ignore guests
		if (!$row['userID']) return;
		
		// skip user if invisible for active user
		if (!$this->isVisible($row, $user)) return;
		
		$this->usersOnline[$row['userID']] = $this->getFormattedUsername($row, $user);
	}
	
	/**
	 * Returns all online users
	 * 
	 * @var	array<array>
	 */
	public function getUsersOnline() {
		parent::getUsersOnline();
		
		return $this->usersOnline;
	}
}
?>