<?php
// wcf imports
require_once(WCF_DIR.'lib/page/AbstractPage.class.php');

/**
 * Outputs portalbox css
 *
 * @package	com.woltlab.community.portal
 * @author	WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	page
 * @category	Portal
 */
class PortalCSSPage extends AbstractPage {
	/**
	 * Needed permissions
	 *
	 * @var	string
	 */
	public $neededPermissions = 'user.portal.general.canView';

	/**
	 * Template
	 *
	 * @var	string
	 */
	public $templateName = '';

	/**
	 * Use IE Stylesheets
	 * 
	 * @var	boolean
	 */
	public $ie = false;

	/**
	 * Names of stylesheets
	 *
	 * @var array<string>
	 */
	public $names = array();

	/**
	 * Generated css
	 *
	 *@var string
	 */
	public $css = '';
	
	/**
	 * @see	Page::readParameters()
	 */
	public function readParameters() {
		parent::readParameters();
		
		if (isset($_GET['ie'])) $this->ie = true;
		if (isset($_GET['names'])) $this->names = array_unique(ArrayUtil::trim(explode(',', $_GET['names']), true));
	}
	
	/**
	 * @see	Page::show()
	 */
	public function show() {
		// disable update
		WCF::getSession()->disableUpdate();
		// module check needed here?
		parent::show();
		@header('Content-type: text/css');
		
		// enable gzip compression
		if (HTTP_ENABLE_GZIP && HTTP_GZIP_LEVEL > 0 && HTTP_GZIP_LEVEL < 10 && !defined('HTTP_DISABLE_GZIP')) {
			HeaderUtil::compressOutput();
		}
		
		// do a caching here?
		echo StyleUtil::compressCSS($this->css);
		exit;
	}
	
	/**
	 * @see	AbstractPage::readData()
	 */
	public function readData() {
		parent::readData();
		
		// merge the given css
		foreach ($this->names as $name) {
			$filename = FileUtil::unifyDirSeperator(WBB_DIR.'style/portal/'.$name.(($this->ie) ? '-ie' : '').'.css');
			
			if (file_exists($filename)) {
				$this->css .= file_get_contents($filename)."\n";
			}
		}
	}
}
?>