<?php
// wcf imports
require_once(WCF_DIR.'lib/system/cache/CacheBuilder.class.php');

/**
 * Caches portal boxes
 *
 * @package		com.woltlab.community.portal
 * @author		Oliver Kliebisch
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	system.cache
 * @category	Portal
 */
class CacheBuilderPortalBoxes implements CacheBuilder {
	/**
	 * @see CacheBuilder::getData()
	 */
	public function getData($cacheResource) {
		$data = array();

		$sql = "SELECT * FROM wbb".WBB_N."_portalboxes
						ORDER BY sortOrder ASC";
		$result = WCF::getDB()->sendQuery($sql);
		while ($row = WCF::getDB()->fetchArray($result)) {
			$row['cacheTypeClassFile'] = WBB_DIR.'lib/system/portalbox/cachebuilder/'.ucfirst($row['cacheType']).'CacheBuilder.class.php';
			$row['cacheTypeClassName'] = StringUtil::getClassName($row['cacheTypeClassFile']);
			$row['boxClassFile'] = WBB_DIR.'lib/data/boxes/'.$row['className'].'.class.php';

			$className	= $row['className'];

			if (!file_exists($row['boxClassFile'])) {
				throw new SystemException("Unable to find class file '".$row['boxClassFile']."'", 11000);
			}
			require_once($row['boxClassFile']);

			if (!class_exists($className)) {
				throw new SystemException("Unable to find class '".$className."'", 11001);
			}

			// create an instance of $className			
			$data[] = new $className(null, $row);
		}

		return $data;
	}
}
?>