<?php
// wcf imports
require_once(WCF_DIR.'lib/system/event/EventHandler.class.php');
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

/**
 * Edits the loaded source code if one of the needed placeholders is missing (boxes in board) 
 *
 * @package	com.woltlab.community.portal
 * @author	Martin Schwendowius (Sani9000), Markus Bartz (RouL)
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	system.event.listener
 * @category	Portal
 */
class CheckBoxInBoardOutputListener implements EventListener {
	
	protected $buffer = null;

	/**
	 * @see EventListener::execute()
	 * @return	void
	 */
	public function execute($eventObj, $className, $eventName) {
		
		// check source code
		ob_start(array($this, 'editSourceOutput'));
		
	}
	

	/**
	 * deletes unneeded code if one placeholder is missing in the loaded template
	 * 
	 * @param mixed $output
	 */
	public function editSourceOutput($output, $status) {
				
		if ($status & PHP_OUTPUT_HANDLER_START) {
			$regEx = '';
			// check for portalcode loaded in "userMessages"
			if (strpos($output, '<!-- StartPortalHeader -->') === false) {
				$regEx = '~<!-- StartPortalFooter -->.*<!-- EndPortalFooter -->~sm';
			}
			
			// check for portalcode loaded in "additionalFoooterContent"
			elseif (strpos($output, '<!-- StartPortalFooter -->') === false) {
				$regEx = '~<!-- StartPortalHeader -->.*<!-- EndPortalHeader -->~sm';
			}
			
			// strip content if necessary
			if ($regEx != '') {
				$this->buffer = preg_replace($regEx, '', $output);
			}
			else {
				$this->buffer = $output;
			}
		}
		
		//returns (stripped) buffer
		if ($status & PHP_OUTPUT_HANDLER_END) {
			return $this->buffer;
		}
	}
}
?>