<?php
// wcf imports
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

/**
 * Displays myportal link in the footer
 *
 * @package	com.woltlab.community.portal
 * @author	Martin Schwendowius (Sani9000)
 * @copyright	2009-2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	system.event.listener
 * @category	Portal
 */
class MyPortalFooterListener implements EventListener {
	protected $executed = false;

	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		
		//check permissions
		if (!MODULE_PORTAL || $this->executed || !WCF::getUser()->userID || !WCF::getUser()->getPermission('user.portal.general.canSortOwn')) return;

		//append template
		WCF::getTPL()->append(array(
			'additionalFooterOptions' => WCF::getTPL()->fetch('portalFooterLink'),
		));

		$this->executed = true;
	}
}
?>