<?php
/**
 * Caches the data of custom Boxes
 * 
 * @package		com.woltlab.community.portal
 * @author		WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	system.portalbox.cachebuilder
 * @category	Portal
 */
class CustomBoxCacheBuilder {
	/**
	 * Caches portal box
	 * 	 
	 * @return	void
	 */
	public function execute($boxID, $cacheBuilderClassName, $boxType, $minLifeTime = 0, $maxLifeTime = 0) {
		// build cache
		WCF::getCache()->addResource(
			'customBoxes',
			WBB_DIR.'cache/cache.customBoxes.php',
			WBB_DIR.'lib/system/cache/CacheBuilderCustomBoxes.class.php',
			$minLifeTime,
			$maxLifeTime
		);
		
		return WCF::getCache()->get('customBoxes', $boxID);
	}
}
?>