<?php
/**
 * Cache groups of portal boxes
 * 
 * @package		com.woltlab.community.portal
 * @author		WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	system.portalbox.cachebuilder
 * @category	Portal
 */
class GroupCacheBuilder {
	/**
	 * Caches groups of portal boxes
	 * 	 
	 * @param	int		$boxID
	 * @param	string	$cacheBuilderClassName
	 * @param	string	$boxType
	 * @param	int		$minLifeTime
	 * @return	mixed	
	 */
	public function execute($boxID, $CacheBuilderClassName, $boxType, $minLifeTime = 0, $maxLifeTime = 0) {
		if (WCF::getUser()->groupIDs) {
			$tmp			= explode(',',WCF::getUser()->groupIDs);
			$groups			= implode(',', $tmp);
			$groupsFileName	= implode('-', $tmp);
		}
		else {
			$groups			= 0;
			$groupsFileName	= '0';
		}
		
		// cache boxes
		WCF::getCache()->addResource(
			'box-'.$boxID.'-'.$groups, WBB_DIR.'cache/cache.box-'.$boxID.'-'.$groupsFileName.'.php',
			WBB_DIR.'lib/system/cache/'.$CacheBuilderClassName.'.class.php', $minLifeTime, $maxLifeTime			
		);
		
		return WCF::getCache()->get('box-'.$boxID.'-'.$groups);
	}
}
?>